Bug 214518 - kdump.conf is messy to read.
kdump.conf is messy to read.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-07 17:37 EST by Akira Imamura
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-13 12:22:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch is based on -122.el5 and can fix this problem. (4.42 KB, patch)
2006-11-07 17:37 EST, Akira Imamura
no flags Details | Diff
This patch is based on -124.el5 and can fix this problem. (3.79 KB, patch)
2006-11-08 11:34 EST, Akira Imamura
no flags Details | Diff

  None (edit)
Description Akira Imamura 2006-11-07 17:37:40 EST
Description of problem:
kdump.conf is messy to read.

Version-Release number of selected component (if applicable):
kexec-tools-1.101-122.el5

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Akira Imamura 2006-11-07 17:37:40 EST
Created attachment 140610 [details]
This patch is based on -122.el5 and can fix this problem.
Comment 2 Akira Imamura 2006-11-08 11:34:37 EST
Created attachment 140663 [details]
This patch is based on -124.el5 and can fix this problem.
Comment 3 Akira Imamura 2006-11-08 11:37:30 EST
It's been modified in 124.el5 but it's not legible yet. So I attached
a patch based on -124.el5. Please apply it.

Thanks,
Akira
Comment 4 Neil Horman 2006-11-08 12:52:56 EST
In my view, it is just as legible now, as with your patch.
Comment 5 Akira Imamura 2006-11-08 14:14:55 EST
There are several lines that contain more than 80 characters as below.

# core_collector makedumpfile <options>
#                         This directive allows you to use the
#                         dump filtering program makedumpfile to retrieve your c
ore,
#                         which on some arches can drastically reduce core file
size.
#                         See /sbin/makedumpfile --help for a list of options.
#                         Note that the -i and -g options are not needed here, a
s the
#                         initrd will automatically be populated with a config f
ile
#                         appropriate for the running kernel
#
# default <reboot | shell>
#                         if all of the above fail, do the default action.
#                 reboot: If the default action is reboot simply reboot the
#                         system and loose the core that you are trying to retri
eve
#                 shell:  if the default action is shell, then drop to an msh se
ssion
#                         inside the initramfs from where you can try to record
the core
#                         manually.  exiting this shell reboots the system
#                         NOTE: If no default action is specified, the initramfs
 will
#                         mount the root file system and run init.


In order to fix them up, I worked on the patch, and attached it. I don't think
kdump.conf in -124.el5 legible. So please apply it.

Thanks,
Akira
Comment 6 Neil Horman 2006-11-08 15:08:35 EST
fine
Comment 7 Jay Turner 2007-02-13 12:21:46 EST
Fix confirmed with kexec-tools-1.101-164.el5.

Note You need to log in before you can comment on or make changes to this bug.